MAKE-FILE-POOL(1)

NAME
make-file-pool - creates a FramerD file pool

SYNOPSIS
make-file-pool filename size [ super_pool | oid ] The optional parameter oid has the form @ hex_hi / hex_lo while the optional parameter super_pool is either a filename or a server specification (as in dtcall(1).

DESCRIPTION
make-file-pool creates a new empty FramerD file pool in the file filename with a capacity for at least size OIDs. If the parameter oid is specified, this is the bae of the newly created file pool. Otherwise, the space for the file pool is allocated from either the default super pool for the FramerD installation or the super_pool specified on the command line, which is either a super pool file or a remote super pool server.

OPTIONS
No options

DIAGNOSTICS
The program reports an error if filename cannot be written or if size is unreasonably large. It will also report an error if super_pool does not exist or cannot be contacted.

BUGS
No known bugs.

Revision Info
$Id: make-file-pool.1,v 1.3 2002/07/10 00:13:11 haase Exp $

AUTHOR
Ken Haase < kh@beingmeta.com >

SEE ALSO
framerd(7) reset-file-pool(1) list-file-pool(1)